unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    pb1: TPaintBox;
    tmr1: TTimer;
    procedure pb1Paint(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure tmr1Timer(Sender: TObject);
  private
    { Private declarations }
    fpos: byte;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  fpos := 0;
end;

procedure TForm1.pb1Paint(Sender: TObject);
var
  iX, iY: Integer;
  iAmp: Integer;
begin
  iAmp := pb1.Height div 2;
  with pb1.Canvas do
  begin
    Font.Size := 30;
    Font.Color := ClRed;
    TextOut(0, iAmp, 'Delphi');
    for iX := 0 to (Width - 1) div 2 do
    begin
      iY := Round(sin ((ix + fpos)/ (2*PI)) * iAmp);
      Pen.Color := RGB(0, 0, fPos + ix);
//      Pen.Color := RGB(Random(255), Random(255), Random(255));
      MoveTo(iX*2, Height);
      LineTo(ix * 2, iAmp + iY);
      Pen.Color := RGB(0, 0, 0); // cerna
      MoveTo(iX*2 + 1, Height);
      LineTo(ix * 2 + 1, iAmp + iY);
    end;
  end;
end;

procedure TForm1.tmr1Timer(Sender: TObject);
begin
  inc(fpos, 2);
  pb1.Invalidate;
end;

end.
